<?php
$comp_model = new SharedController;
$page_element_id = "edit-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id;
$show_header = $this->show_header;
$view_title = $this->view_title;
$redirect_to = $this->redirect_to;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="edit"  data-display-type="" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('edit_orders'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-7 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="bg-light p-3 animated fadeIn page-content">
                        <form novalidate  id="" role="form" enctype="multipart/form-data"  class="form page-form form-horizontal needs-validation" action="<?php print_link("orders/edit/$page_id/?csrf_token=$csrf_token"); ?>" method="post">
                            <div>
                                <div class="form-group ">
                                    <div class="row">
                                        <div class="col-sm-4">
                                            <label class="control-label" for="order_id"><?php print_lang('order_id'); ?> <span class="text-danger">*</span></label>
                                        </div>
                                        <div class="col-sm-8">
                                            <div class="">
                                                <input id="ctrl-order_id"  value="<?php  echo $data['order_id']; ?>" type="text" placeholder="<?php print_lang('enter_order_id'); ?>"  required="" name="order_id"  class="form-control " />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group ">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <label class="control-label" for="cart_id"><?php print_lang('cart_id'); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="col-sm-8">
                                                <div class="">
                                                    <input id="ctrl-cart_id"  value="<?php  echo $data['cart_id']; ?>" type="text" placeholder="<?php print_lang('enter_cart_id'); ?>"  required="" name="cart_id"  class="form-control " />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group ">
                                            <div class="row">
                                                <div class="col-sm-4">
                                                    <label class="control-label" for="driver_id"><?php print_lang('driver_id'); ?> <span class="text-danger">*</span></label>
                                                </div>
                                                <div class="col-sm-8">
                                                    <div class="">
                                                        <input id="ctrl-driver_id"  value="<?php  echo $data['driver_id']; ?>" type="text" placeholder="<?php print_lang('enter_driver_id'); ?>"  required="" name="driver_id"  class="form-control " />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group ">
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label class="control-label" for="address_id"><?php print_lang('address_id'); ?> <span class="text-danger">*</span></label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="">
                                                            <input id="ctrl-address_id"  value="<?php  echo $data['address_id']; ?>" type="text" placeholder="<?php print_lang('enter_address_id'); ?>"  required="" name="address_id"  class="form-control " />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group ">
                                                    <div class="row">
                                                        <div class="col-sm-4">
                                                            <label class="control-label" for="delivery_charge_option_id"><?php print_lang('delivery_charge_option_id'); ?> <span class="text-danger">*</span></label>
                                                        </div>
                                                        <div class="col-sm-8">
                                                            <div class="">
                                                                <input id="ctrl-delivery_charge_option_id"  value="<?php  echo $data['delivery_charge_option_id']; ?>" type="text" placeholder="<?php print_lang('enter_delivery_charge_option_id'); ?>"  required="" name="delivery_charge_option_id"  class="form-control " />
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group ">
                                                        <div class="row">
                                                            <div class="col-sm-4">
                                                                <label class="control-label" for="order_subtotal"><?php print_lang('order_subtotal'); ?> <span class="text-danger">*</span></label>
                                                            </div>
                                                            <div class="col-sm-8">
                                                                <div class="">
                                                                    <input id="ctrl-order_subtotal"  value="<?php  echo $data['order_subtotal']; ?>" type="number" placeholder="<?php print_lang('enter_order_subtotal'); ?>" step="0.1"  required="" name="order_subtotal"  class="form-control " />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group ">
                                                            <div class="row">
                                                                <div class="col-sm-4">
                                                                    <label class="control-label" for="order_total"><?php print_lang('order_total'); ?> <span class="text-danger">*</span></label>
                                                                </div>
                                                                <div class="col-sm-8">
                                                                    <div class="">
                                                                        <input id="ctrl-order_total"  value="<?php  echo $data['order_total']; ?>" type="number" placeholder="<?php print_lang('enter_order_total'); ?>" step="0.1"  required="" name="order_total"  class="form-control " />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group ">
                                                                <div class="row">
                                                                    <div class="col-sm-4">
                                                                        <label class="control-label" for="order_type"><?php print_lang('order_type'); ?> <span class="text-danger">*</span></label>
                                                                    </div>
                                                                    <div class="col-sm-8">
                                                                        <div class="">
                                                                            <input id="ctrl-order_type"  value="<?php  echo $data['order_type']; ?>" type="text" placeholder="<?php print_lang('enter_order_type'); ?>"  required="" name="order_type"  class="form-control " />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group ">
                                                                    <div class="row">
                                                                        <div class="col-sm-4">
                                                                            <label class="control-label" for="customer_note"><?php print_lang('customer_note'); ?> <span class="text-danger">*</span></label>
                                                                        </div>
                                                                        <div class="col-sm-8">
                                                                            <div class="">
                                                                                <input id="ctrl-customer_note"  value="<?php  echo $data['customer_note']; ?>" type="text" placeholder="<?php print_lang('enter_customer_note'); ?>"  required="" name="customer_note"  class="form-control " />
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group ">
                                                                        <div class="row">
                                                                            <div class="col-sm-4">
                                                                                <label class="control-label" for="admin_note"><?php print_lang('admin_note'); ?> <span class="text-danger">*</span></label>
                                                                            </div>
                                                                            <div class="col-sm-8">
                                                                                <div class="">
                                                                                    <input id="ctrl-admin_note"  value="<?php  echo $data['admin_note']; ?>" type="text" placeholder="<?php print_lang('enter_admin_note'); ?>"  required="" name="admin_note"  class="form-control " />
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group ">
                                                                            <div class="row">
                                                                                <div class="col-sm-4">
                                                                                    <label class="control-label" for="order_status"><?php print_lang('order_status'); ?> <span class="text-danger">*</span></label>
                                                                                </div>
                                                                                <div class="col-sm-8">
                                                                                    <div class="">
                                                                                        <input id="ctrl-order_status"  value="<?php  echo $data['order_status']; ?>" type="text" placeholder="<?php print_lang('enter_order_status'); ?>"  required="" name="order_status"  class="form-control " />
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-ajax-status"></div>
                                                                        <div class="form-group text-center">
                                                                            <button class="btn btn-primary" type="submit">
                                                                                <?php print_lang('update'); ?>
                                                                                <i class="material-icons">send</i>
                                                                            </button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </section>
