<?php
$comp_model = new SharedController;
$page_element_id = "add-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
$show_header = $this->show_header;
$view_title = $this->view_title;
$redirect_to = $this->redirect_to;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="add"  data-display-type="" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('add_new_admins'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-7 comp-grid">
                    <div class="text-left">
                        <h4></h4>
                        <p class="text-muted"></p>
                    </div>
                    <div class="smartwizard" data-theme="dots" >
                        <ul>
                            <li>
                                <a href="#FormWizard-1-Page1">
                                    Step 1
                                    <br /><small></small>
                                </a>
                            </li>
                            <li>
                                <a href="#FormWizard-1-Page2">
                                    Step 2
                                    <br /><small></small>
                                </a>
                            </li>
                            <li>
                                <a href="#FormWizard-1-Page3">
                                    Step 5
                                    <br /><small></small>
                                </a>
                            </li>
                        </ul>
                        <div>
                            <div class="card formtab" id="FormWizard-1-Page1" data-next-page="FormWizard-1-Page2" data-submit-action="MOVE-NEXT">
                                <?php $this :: display_page_errors(); ?>
                                <div  class="bg-light p-3 animated fadeIn page-content">
                                    <form id="admins-custom_add-form" role="form" novalidate enctype="multipart/form-data" class="form page-form form-horizontal needs-validation" action="<?php print_link("admins/custom_add?csrf_token=$csrf_token") ?>" method="post">
                                        <div>
                                            <div class="form-group ">
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label class="control-label" for="admin_id"><?php print_lang('admin_id'); ?> <span class="text-danger">*</span></label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="">
                                                            <input id="ctrl-admin_id"  value="<?php  echo $this->set_field_value('admin_id',""); ?>" type="text" placeholder="<?php print_lang('enter_admin_id'); ?>"  required="" name="admin_id"  class="form-control " />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group ">
                                                    <div class="row">
                                                        <div class="col-sm-4">
                                                            <label class="control-label" for="admin_full_name"><?php print_lang('admin_full_name'); ?> <span class="text-danger">*</span></label>
                                                        </div>
                                                        <div class="col-sm-8">
                                                            <div class="">
                                                                <input id="ctrl-admin_full_name"  value="<?php  echo $this->set_field_value('admin_full_name',""); ?>" type="text" placeholder="<?php print_lang('enter_admin_full_name'); ?>"  required="" name="admin_full_name"  class="form-control " />
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group ">
                                                        <div class="row">
                                                            <div class="col-sm-4">
                                                                <label class="control-label" for="country_id"><?php print_lang('country_id'); ?> <span class="text-danger">*</span></label>
                                                            </div>
                                                            <div class="col-sm-8">
                                                                <div class="">
                                                                    <input id="ctrl-country_id"  value="<?php  echo $this->set_field_value('country_id',""); ?>" type="text" placeholder="<?php print_lang('enter_country_id'); ?>"  required="" name="country_id"  class="form-control " />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group ">
                                                            <div class="row">
                                                                <div class="col-sm-4">
                                                                    <label class="control-label" for="created_at"><?php print_lang('created_at'); ?> <span class="text-danger">*</span></label>
                                                                </div>
                                                                <div class="col-sm-8">
                                                                    <div class="">
                                                                        <input id="ctrl-created_at"  value="<?php  echo $this->set_field_value('created_at',""); ?>" type="text" placeholder="<?php print_lang('enter_created_at'); ?>"  required="" name="created_at"  class="form-control " />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group ">
                                                                <div class="row">
                                                                    <div class="col-sm-4">
                                                                        <label class="control-label" for="updated_at"><?php print_lang('updated_at'); ?> <span class="text-danger">*</span></label>
                                                                    </div>
                                                                    <div class="col-sm-8">
                                                                        <div class="input-group">
                                                                            <input id="ctrl-updated_at" class="form-control datepicker  datepicker" required="" value="<?php  echo $this->set_field_value('updated_at',""); ?>" type="datetime"  name="updated_at" placeholder="<?php print_lang('enter_updated_at'); ?>" data-enable-time="true" data-min-date="" data-max-date="" data-date-format="Y-m-d H:i:S" data-alt-format="F j, Y - H:i" data-inline="false" data-no-calendar="false" data-mode="single" /> 
                                                                                <div class="input-group-append">
                                                                                    <span class="input-group-text"><i class="material-icons">date_range</i></span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group form-submit-btn-holder text-center mt-3">
                                                                <div class="form-ajax-status"></div>
                                                                <button class="btn btn-primary" type="submit">
                                                                    <?php print_lang('submit'); ?>
                                                                    <i class="material-icons">send</i>
                                                                </button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <div class="text-center p-3">
                                                        <button class="btn btn-success sw-btn-next">Getting Started</button>
                                                    </div>
                                                </div>
                                                <div class="card formtab" id="FormWizard-1-Page2" data-next-page="FormWizard-1-Page3" data-submit-action="SUBMIT-STEP-FORM">
                                                    <div class="">
                                                        <div class="text-center">
                                                            <h4>Form Wizard Completed</h4>
                                                            <hr />
                                                            <p class="text-muted">Thank you for your support</p>
                                                        </div>
                                                    </div>
                                                    <div class=" p-3">
                                                    </div>
                                                </div>
                                                <div class="card formtab" id="FormWizard-1-Page3" data-next-page="FormWizard-1-Page4" data-submit-action="">
                                                    <div class=" p-3">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
