<?php
$comp_model = new SharedController;
$page_element_id = "add-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
$show_header = $this->show_header;
$view_title = $this->view_title;
$redirect_to = $this->redirect_to;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="add"  data-display-type="" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title"><?php print_lang('add_new_customer_addresses'); ?></h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-7 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="bg-light p-3 animated fadeIn page-content">
                        <form id="customer_addresses-add-form" role="form" novalidate enctype="multipart/form-data" class="form page-form form-horizontal needs-validation" action="<?php print_link("customer_addresses/add?csrf_token=$csrf_token") ?>" method="post">
                            <div>
                                <div class="form-group ">
                                    <div class="row">
                                        <div class="col-sm-4">
                                            <label class="control-label" for="address_id"><?php print_lang('address_id'); ?> <span class="text-danger">*</span></label>
                                        </div>
                                        <div class="col-sm-8">
                                            <div class="">
                                                <input id="ctrl-address_id"  value="<?php  echo $this->set_field_value('address_id',""); ?>" type="text" placeholder="<?php print_lang('enter_address_id'); ?>"  required="" name="address_id"  class="form-control " />
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group ">
                                        <div class="row">
                                            <div class="col-sm-4">
                                                <label class="control-label" for="address_name"><?php print_lang('address_name'); ?> <span class="text-danger">*</span></label>
                                            </div>
                                            <div class="col-sm-8">
                                                <div class="">
                                                    <input id="ctrl-address_name"  value="<?php  echo $this->set_field_value('address_name',""); ?>" type="text" placeholder="<?php print_lang('enter_address_name'); ?>"  required="" name="address_name"  class="form-control " />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group ">
                                            <div class="row">
                                                <div class="col-sm-4">
                                                    <label class="control-label" for="address_block"><?php print_lang('address_block'); ?> <span class="text-danger">*</span></label>
                                                </div>
                                                <div class="col-sm-8">
                                                    <div class="">
                                                        <input id="ctrl-address_block"  value="<?php  echo $this->set_field_value('address_block',""); ?>" type="text" placeholder="<?php print_lang('enter_address_block'); ?>"  required="" name="address_block"  class="form-control " />
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="form-group ">
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label class="control-label" for="address_road"><?php print_lang('address_road'); ?> <span class="text-danger">*</span></label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <div class="">
                                                            <input id="ctrl-address_road"  value="<?php  echo $this->set_field_value('address_road',""); ?>" type="text" placeholder="<?php print_lang('enter_address_road'); ?>"  required="" name="address_road"  class="form-control " />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group ">
                                                    <div class="row">
                                                        <div class="col-sm-4">
                                                            <label class="control-label" for="address_building"><?php print_lang('address_building'); ?> <span class="text-danger">*</span></label>
                                                        </div>
                                                        <div class="col-sm-8">
                                                            <div class="">
                                                                <input id="ctrl-address_building"  value="<?php  echo $this->set_field_value('address_building',""); ?>" type="text" placeholder="<?php print_lang('enter_address_building'); ?>"  required="" name="address_building"  class="form-control " />
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group ">
                                                        <div class="row">
                                                            <div class="col-sm-4">
                                                                <label class="control-label" for="address_latitude"><?php print_lang('address_latitude'); ?> <span class="text-danger">*</span></label>
                                                            </div>
                                                            <div class="col-sm-8">
                                                                <div class="">
                                                                    <input id="ctrl-address_latitude"  value="<?php  echo $this->set_field_value('address_latitude',""); ?>" type="number" placeholder="<?php print_lang('enter_address_latitude'); ?>" step="0.1"  required="" name="address_latitude"  class="form-control " />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group ">
                                                            <div class="row">
                                                                <div class="col-sm-4">
                                                                    <label class="control-label" for="address_longitude"><?php print_lang('address_longitude'); ?> <span class="text-danger">*</span></label>
                                                                </div>
                                                                <div class="col-sm-8">
                                                                    <div class="">
                                                                        <input id="ctrl-address_longitude"  value="<?php  echo $this->set_field_value('address_longitude',""); ?>" type="number" placeholder="<?php print_lang('enter_address_longitude'); ?>" step="0.1"  required="" name="address_longitude"  class="form-control " />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group ">
                                                                <div class="row">
                                                                    <div class="col-sm-4">
                                                                        <label class="control-label" for="address_floor"><?php print_lang('address_floor'); ?> <span class="text-danger">*</span></label>
                                                                    </div>
                                                                    <div class="col-sm-8">
                                                                        <div class="">
                                                                            <input id="ctrl-address_floor"  value="<?php  echo $this->set_field_value('address_floor',""); ?>" type="text" placeholder="<?php print_lang('enter_address_floor'); ?>"  required="" name="address_floor"  class="form-control " />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group ">
                                                                    <div class="row">
                                                                        <div class="col-sm-4">
                                                                            <label class="control-label" for="address_room_number"><?php print_lang('address_room_number'); ?> <span class="text-danger">*</span></label>
                                                                        </div>
                                                                        <div class="col-sm-8">
                                                                            <div class="">
                                                                                <input id="ctrl-address_room_number"  value="<?php  echo $this->set_field_value('address_room_number',""); ?>" type="text" placeholder="<?php print_lang('enter_address_room_number'); ?>"  required="" name="address_room_number"  class="form-control " />
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group ">
                                                                        <div class="row">
                                                                            <div class="col-sm-4">
                                                                                <label class="control-label" for="address_note"><?php print_lang('address_note'); ?> <span class="text-danger">*</span></label>
                                                                            </div>
                                                                            <div class="col-sm-8">
                                                                                <div class="">
                                                                                    <input id="ctrl-address_note"  value="<?php  echo $this->set_field_value('address_note',""); ?>" type="text" placeholder="<?php print_lang('enter_address_note'); ?>"  required="" name="address_note"  class="form-control " />
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group ">
                                                                            <div class="row">
                                                                                <div class="col-sm-4">
                                                                                    <label class="control-label" for="address_type"><?php print_lang('address_type'); ?> <span class="text-danger">*</span></label>
                                                                                </div>
                                                                                <div class="col-sm-8">
                                                                                    <div class="">
                                                                                        <input id="ctrl-address_type"  value="<?php  echo $this->set_field_value('address_type',""); ?>" type="text" placeholder="<?php print_lang('enter_address_type'); ?>"  required="" name="address_type"  class="form-control " />
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-group ">
                                                                                <div class="row">
                                                                                    <div class="col-sm-4">
                                                                                        <label class="control-label" for="customer_id"><?php print_lang('customer_id'); ?> <span class="text-danger">*</span></label>
                                                                                    </div>
                                                                                    <div class="col-sm-8">
                                                                                        <div class="">
                                                                                            <input id="ctrl-customer_id"  value="<?php  echo $this->set_field_value('customer_id',""); ?>" type="text" placeholder="<?php print_lang('enter_customer_id'); ?>"  required="" name="customer_id"  class="form-control " />
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group ">
                                                                                    <div class="row">
                                                                                        <div class="col-sm-4">
                                                                                            <label class="control-label" for="country_id"><?php print_lang('country_id'); ?> <span class="text-danger">*</span></label>
                                                                                        </div>
                                                                                        <div class="col-sm-8">
                                                                                            <div class="">
                                                                                                <input id="ctrl-country_id"  value="<?php  echo $this->set_field_value('country_id',""); ?>" type="text" placeholder="<?php print_lang('enter_country_id'); ?>"  required="" name="country_id"  class="form-control " />
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group form-submit-btn-holder text-center mt-3">
                                                                                    <div class="form-ajax-status"></div>
                                                                                    <button class="btn btn-primary" type="submit">
                                                                                        <?php print_lang('submit'); ?>
                                                                                        <i class="material-icons">send</i>
                                                                                    </button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </section>
